package com.zhiqiyun.open.core.enmus;


public enum HotelGrade implements IBaseEnum {
    /**
     *
     */
    ONE_STAR(1, "一星"), TWO_STAR(2, "二星"), THREE_STAR(3, "三星"), FOUR_STAR(4, "四星"), FIVE_STAR(5, "五星");

    private final int value;
    private final String text;

    HotelGrade(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static HotelGrade valueOf(int value) {
        HotelGrade[] values = HotelGrade.values();
        for (HotelGrade type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }


    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
